/*
Theme Name:     Mountain State Miniature Golf Child
Description:    
Author:         blinger_admin
Template:       Divi

(optional values you can add: Theme URI, Author URI, Version, License, License URI, Tags, Text Domain)
*/


/* Menu */
.dropdown {
  position: relative;
  display: inline-block;
}

.dropbtn {
  background-color: #c9ae3d;
  color: #231F20;
  padding: 12px 18px;
  font-size: 16px;
	font-weight: bold !important;
  border: none;
  cursor: pointer;
  border-radius: 4px;
}

.dropbtn:hover {
  background-color: #c9ae3d;
}

.dropdown-content {
  display: none;
  position: absolute;
  top: 100%;
  left: 50%;
  transform: translateX(-50%);
  background-color: #c9ae3d;
  min-width: 240px;
  box-shadow: 0 8px 16px rgba(0,0,0,0.2);
  z-index: 1000;
  border-radius: 4px;
  overflow: hidden;
top: calc(100% + 4px); /* 8px visual gap */
border-radius: 4px !important;
}

.dropdown::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 4px; /* same as the gap */
}

.dropdown-content a {
  color: #231F20;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
	font-size: 16px;
	font-weight: bold;
}

.dropdown-content a:hover {
  background-color: #f1f1f1;
}

.dropdown:hover .dropdown-content {
  display: block;
}

@media (min-width: 981px) {
  .dropdown {
    display: none;
  }
}














img#logo {
	-webkit-transition: -webkit-transform 0.5s ease-in-out !important;
	transition: transform 0.5s ease-in-out !important;
}

img#logo:hover {
	-webkit-transform-origin: 50%  51%;
	zoom: 1.005;
	-webkit-transform: rotate(350deg) !important;
	transform: rotate(350deg) !important;
}

#rmp-container-14456 {
	padding: 24px !important;
	touch-action: none;
}

button#rmp_menu_trigger-14456:hover {
    cursor: pointer;
}

.rmp-container {
    padding: 0px 0px 0px 0px;
    z-index: 99999;
}

#rmp_menu_trigger-14456 {
    background: #c9ae3d;
}

#rmp_menu_trigger-14456 .responsive-menu-pro-inner, #rmp_menu_trigger-14456 .responsive-menu-pro-inner::before, #rmp_menu_trigger-14456 .responsive-menu-pro-inner::after {
    background-color: #231f20 !important;
}

#rmp_menu_trigger-14456.is-active {
    background: #c9ae3d;
}

#rmp_menu_trigger-14456:hover, #rmp_menu_trigger-14456:focus {
    background: #c9ae3d;
}

/* Menu End */

/* General */
#Socials {
	margin-top: 5px;
}
#Socials a {
	color: #c9ae3d;
}

#Menu p {
	font-size: 20px;
    line-height: 1.5em;
}

body {
  -webkit-user-select: none; /* Safari */
  -ms-user-select: none; /* IE 10 and IE 11 */
  user-select: none; /* Standard syntax */
}

.pum-theme-14465 .pum-content + .pum-close, .pum-theme-content-only .pum-content + .pum-close {
    font-size: 24px !important;
}

.pum-theme-14465 .pum-content + .pum-close, .pum-theme-content-only .pum-content + .pum-close {
    color: #c9ae3d;
}

body {
	background: #231f20;
}

a.darklink {
    color: #231F20;
    font-weight: bold;
	text-decoration: underline;
}

a.yellowlink {
    color: #c9ae3d;
    font-weight: bold;
	text-decoration: underline;
}

input#datePicker {
    padding: 5px 10px 5px 10px;
}

input.wpcf7-form-control.wpcf7-text {
	background-color: #231F20;
	border: none;
}

#GymWaiver input[type=text] {
    color: #c9ae3d;
}

input.wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required:focus {
	color: #c9ae3d;
}

input.wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required::placeholder {
    color: #c9ae3d;
}

input.wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required {
	background-color: #231F20;
	border: none;
}

.form-row.place-order {
    margin-top: 10px !important;
}

button#place_order {
    width: 100%;
}

a.about_paypal {
    display: none;
}

.woocommerce .et_pb_wc_checkout_billing_0_tb_body form .form-row .input-text {
    font-size: 16px;
}

span.woocommerce-input-wrapper {
    color: #c9ae3d;
}

span.select2-search.select2-search--dropdown {
    display: none;
}

.et_vertical_nav.et_header_style_centered header#main-header #top-menu>li>a, .et_vertical_nav.et_header_style_centered header#main-header.et-fixed-header #top-menu>li>a {
    padding-bottom: 8px;
}

span#DatePicker input#datePicker {
	margin-top:10px;
}

label#GuardianSignature input.wpcf7-form-control.wpcf7-text {
    max-width: 250px;
}

label#Initial input.wpcf7-form-control.wpcf7-text.wpcf7-validates-as-required {
    max-width: 95px;
}

.optionalinitial input.wpcf7-form-control.wpcf7-text {
    max-width: 95px;
}

input[type='checkbox'] {
    accent-color: #231F20 !important;
}

input.wpcf7-form-control.wpcf7-submit.has-spinner:hover {
	cursor: pointer;
	background: #231F20;
	color: #c9ae3d;
}

input.wpcf7-form-control.wpcf7-submit.has-spinner {
	font-size: 30px;
    font-weight: bold;
    background: none;
    text-align: center;
    padding: 20px;
    color: #231F20;
    border: 5px solid #231F20;
}

input.text, input.title, input[type=email], input[type=password], input[type=tel], input[type=text], select, textarea {
	padding: 5px 10px 5px 10px;
	margin-bottom: 2px;
	max-width: 260px;
}

input, select, textarea {
    border: none;
	background: #231F20;
    font-size: 24px;
	color: #eff4f5;
}

input::placeholder {
  color: #c9ae3d;
  opacity: 1;
}

input::-ms-input-placeholder {
  color: #c9ae3d;
}

input::selection {
  color: #c9ae3d;
	background-color: #231F20;
}

input::-moz-selection {
  color: #c9ae3d;
	background-color: #231F20;
}

input:focus {
  color: #c9ae3d;
	background-color: #231F20;
}

input:-moz-focus {
  color: #c9ae3d;
	background-color: #231F20;
}

li {
    padding-bottom: 10px;
}
/* General End */

/* Shop */
span.woocommerce-Price-amount.amount {
    color: #c9ae3d;
}

p#billing_country_field {
    display: none;
}

button.single_add_to_cart_button.button.alt:hover {
    color: #231F20 !important;
}

.select2-container--open {
    font-size: 16px !important;
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    border-color: #231F20 transparent transparent transparent;
    border-width: 6px 6px 0 6px !important;
}

span.select2-selection.select2-selection--single {
    padding: 18px !important;
	font-size: 16px !important
}

.woocommerce .woocommerce-error, .woocommerce .woocommerce-info, .woocommerce .woocommerce-message {
    background: none;
    color: red !important;
    border: 5px solid red;
}

.woocommerce-account-fields {
    display: none !important;
}

button#place_order {
    padding: 20px !important;
}

button#place_order {
    padding: 20px !important;
}

button#place_order:hover {
    padding: 20px !important;
}

.et_pb_wc_checkout_payment_info_0_tb_body #payment #place_order {
    transition: color 0ms ease 0ms !important;
	background-color: 0ms ease 0ms !important;
	border: 0ms ease 0ms !important;
	border-radius: 0ms ease 0ms !important;
}

ul.wc_payment_methods.payment_methods.methods {
    display: none;
}

.payment_box.payment_method_paypal {
    display: none;
}

.woocommerce-page button.button, .woocommerce-page button.button.alt, .woocommerce-page button.button.alt.disabled, .woocommerce button.button, .woocommerce button.button.alt, .woocommerce button.button.alt.disabled {
	color: #c9ae3d !important;
}



@media (max-width: 980px) {
	.woocommerce.columns-3 ul.products li.product {
        width: 100% !important;
	}
	.woocommerce ul.products[class*=columns-] li.product, .woocommerce-page ul.products[class*=columns-] li.product {
    margin: 0 0 1.75em !important;
	}
}




























.woocommerce-product-gallery__image {
    padding: 10px;
}

.et_overlay {
    background: hsla(0,0%,100%,0);
    border: none;
}

.et_overlay:before {
	display: none;
}

.xoo-wsc-opac {
    background-color: #231f20;
}

.xoo-wsc-basket {
    border: 5px solid #231f20;
}

.xoo-wsc-icon-shopping-bag1:before {
    font-family: FontAwesome;
    content: "\f290" !important;
}

.xoo-wsc-markup *::-webkit-scrollbar {
    width: 10px;
}
.xoo-wsc-markup *::-webkit-scrollbar-thumb {
    border-radius: 0px;
    background: #231F20;
}
.xoo-wsc-markup *::-webkit-scrollbar-track {
    border-radius: 10px;
    background: #c9ae3d;
}

body.xoo-wsc-cart-active, html.xoo-wsc-cart-active {
    overflow: visible !important;
}

input#shipping_method_0_local_pickup3 {
    accent-color: #c9ae3d;
}

input#shipping_method_0_flat_rate1 {
    accent-color: #c9ae3d;
}

.xoo-wsc-footer {
    padding: 20px 20px 20px 20px;
}

.xoo-wsc-ft-totals {
    padding: 0px;
}

a.xoo-wsc-ft-btn.xoo-wsc-btn.xoo-wsc-ft-btn-cart {
    display: none;
}

span.xoo-wsc-smr-del {
    font-size: 20px;
}

a.xoo-wsc-ft-btn.xoo-wsc-btn.xoo-wsc-cart-close.xoo-wsc-ft-btn-continue {
    display: none;
}

.xoo-wsc-items-count {
    border-radius: 0;
}

.xoo-wsc-basket {
    border-radius: 0px;
}

.xoo-wsc-qty-price span:first-of-type:after {
    text-transform: lowercase;
}

.xoo-wsc-qty-price span.woocommerce-Price-amount.amount bdi {
    color: #231F20;
}

a.et-cart-info {
    display: none !important;
}

span#wcf_cf_gdpr_message_block {
    display: none;
}

.woocommerce ul.products li.product .woocommerce-loop-product__title {
	padding-bottom: 5px;
}

.woocommerce div.product form.cart .woocommerce-variation-description p {
    color: #c9ae3d !important;
	font-size: 14px;
}

.woocommerce-page.columns-3 ul.products li.product, .woocommerce.columns-3 ul.products li.product:hover {
    background: rgba(0,0,0,0.6);
}

.woocommerce-page.columns-3 ul.products li.product, .woocommerce.columns-3 ul.products li.product {
    border: 5px solid #c9ae3d !important;
    padding: 10px;
}

.woocommerce ul.products li.product, .woocommerce-page ul.products li.product {
    margin: 0 2% 1em 0;
}

.star-rating {
    display: none !important;
}

.woocommerce button.button.alt:hover {
	padding: 5px 10px 4px 10px !important;
}

button.single_add_to_cart_button.button.alt:after {
    display: none;
}

button.single_add_to_cart_button.button.alt {
    border: 3px solid #c9ae3d;
    border-radius: 0px;
    color: #c9ae3d;
	padding: 5px 10px 4px 10px !important;
}

button.single_add_to_cart_button.button.alt:hover {
    border: 3px solid #c9ae3d;
    background: #c9ae3d;
    color: #231F20;
}

.woocommerce-product-gallery.woocommerce-product-gallery--with-images.woocommerce-product-gallery--columns-4.images a {
  pointer-events: none !important;
}

.woocommerce-product-gallery__wrapper a {
  pointer-events: none !important;
}

.woocommerce-product-gallery__image a {
  pointer-events: none !important;
}

.et_pb_wc_add_to_cart form.cart .variations td.value span:after {
	border-top-color: #231F20;
}

.orderby, .woocommerce div.product form.cart .variations td select {
	border-radius: 0px;
}

.woocommerce .quantity input.qty, .woocommerce-page .quantity input.qty {
	line-height: 1em;
	padding: 9px;
}

.et_pb_wc_add_to_cart .quantity input.qty {
    width: 3em;
}

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
input[type=number] {
  -moz-appearance: textfield;
}

.woocommerce .quantity input.qty, .woocommerce-page .quantity input.qty {
    background-color: #c9ae3d !important;
    font-size: 24px !important;
    color: #231F20 !important;
}

span.woocommerce-Price-amount.amount bdi {
    color: #c9ae3d;
}

.woocommerce div.product form.cart .variations {
    margin-bottom: 0px;
}

.woocommerce div.product form.cart .variations td {
    padding-bottom: 0px !important;
	padding-top: 6px !important;
}

a.reset_variations {
    display: none !important;
}

.woocommerce-variation.single_variation {
    margin-bottom: 16px;
}
select option:hover{
	box-shadow: 0 0 10px 100px #FED20F inset !important;
	background: red !important;
	transition: all .2s ease-in-out !important;
}
/* Shop End */

footer#main-footer {
    display: none;
}

body::-webkit-scrollbar {
  width: 20px;
}

body::-webkit-scrollbar-track {
  background: #c9ae3d;
}

body::-webkit-scrollbar-thumb {
  background-color: #231F20;
  border: 3px solid #c9ae3d;
}












ul#top-menu li a {
    text-decoration: wavy underline;
    text-decoration-skip-ink: none;
 	-webkit-text-decoration-color: transparent;
 	-moz-text-decoration-color: transparent;
	text-decoration-color: transparent;
	transition: 0.5s;
}

ul#top-menu li a:hover {
    text-decoration-skip-ink: none;
	-webkit-text-decoration-color: #c9ae3d;
 	-moz-text-decoration-color: #c9ae3d;
	text-decoration-color: #c9ae3d;
}

#top-menu-nav>ul>li>a:hover {
    opacity: 1;
}




.strong-view.wpmtst-default .wpmtst-testimonial-inner {
    border: none !important;
}

.strong-view.wpmtst-default .wpmtst-testimonial {
    border: none !important;
}

h3.wpmtst-testimonial-heading.testimonial-heading {
    color: #C9AE3D;
	font-size: 36px;
}

.wpmtst-testimonial-content.testimonial-content {
    color: #C9AE3D;
	font-size: 24px;
	line-height: 1.5;
}

h3.wpmtst-testimonial-heading.testimonial-heading span {
    color: #C9AE3D !important;
}

.strong-view.wpmtst-default .wpmtst-testimonial-heading {
    background: url(https://cm.raveka.dev/wp-content/uploads/2023/10/CM-Quotes.png) no-repeat scroll left center transparent !important;
}

.strong-view.pager-style-buttons .wpmslider-pager-link:before {
    color: #C9AE3D !important;
    background: #C9AE3D !important;
    width: 20px !important;
    height: 30px !important;
}

.strong-view.nav-position-inside:not(.controls-type-sides) .wpmslider-controls {
    padding-bottom: 0px !important;
}

#Button {
    font-size: 30px;
    font-weight: bold;
    width: 250px;
	background: none;
    text-align: center;
    padding: 20px;
    color: #231F20;
	border: 5px solid #231F20;
}

#Button:hover {
	border: 5px solid #231F20;
	background: #231F20;
	color: #c9ae3d;
}

#ButtonTwo {
    font-size: 30px;
    font-weight: bold;
    width: 250px;
	background: none;
    text-align: center;
    padding: 20px;
    color: #c9ae3d;
	border: 5px solid #c9ae3d;
	float: right;
}

#ButtonTwo:hover {
	border: 5px solid #c9ae3d;
	background: #c9ae3d;
	color: #231F20;
}

/*
.underlined {
    text-decoration: wavy underline;
    text-decoration-skip-ink: none;
	-webkit-text-decoration-color: #BC49E2;
 	-moz-text-decoration-color: #BC49E2;
	text-decoration-color: #BC49E2;
	text-decoration-thickness: 6px;
}
*/


.underlined {
  background: linear-gradient(0deg, rgba(188, 73, 226,0) 0%, rgba(188, 73, 226,0) 16%, rgba(188, 73, 226,1) 16%, rgba(188, 73, 226,1) 41%, rgba(188, 73, 226,0) 41%);
}

.underlined {
  padding: 0 0.5em 0 0.1em;
  box-decoration-break: clone;
  -webkit-box-decoration-break: clone;
}

/*
.underlinedtwo {
  background: linear-gradient(0deg, rgba(201, 174, 61,0) 0%, rgba(201, 174, 61,0) 16%, rgba(201, 174, 61,1) 16%, rgba(201, 174, 61,1) 41%, rgba(201, 174, 61,0) 41%);
}

.underlinedtwo {
  padding: 0 0.5em 0 0.1em;
  box-decoration-break: clone;
  -webkit-box-decoration-break: clone;
}

.underlinedthree {
  background: linear-gradient(0deg, rgba(188, 73, 226,0) 0%, rgba(188, 73, 226,0) 16%, rgba(188, 73, 226,1) 16%, rgba(188, 73, 226,1) 41%, rgba(188, 73, 226,0) 41%);
}

.underlinedthree {
  padding: 0 0.5em 0 0.1em;
  box-decoration-break: clone;
  -webkit-box-decoration-break: clone;
}
*/

.et_vertical_nav.et_header_style_centered header#main-header #top-menu>li>a, .et_vertical_nav.et_header_style_centered header#main-header.et-fixed-header #top-menu>li>a {
    line-height: 24px;
}

#main-header .logo_container {
    width: 100% !important;
}

header#main-header:after {
    content: "";
    width: 25px;
    height: 100%;
    background: url(https://cm.raveka.dev/wp-content/uploads/2023/10/CM-SmallJaggedSpikes.png);
    top: 10px;
    right: -25px;
    position: absolute;
    display: inline-block;
}

.et_vertical_nav #page-container #main-header {
    -webkit-box-shadow: none;
    box-shadow: none;
}

.et_vertical_fixed.admin-bar #page-container #main-header {
    top: 22px;
	width: 250px;
}

header#main-header {
    background: #231F20;
}

#page-container {
	background: #231F20;
}

ul#top-menu li a {
    font-size: 30px !important;
}

#Hours {
    font-size: 15px;
    color: #c9ae3d;
    font-family: 'Merriweather',Georgia,"Times New Roman",serif;
	text-align: center;
}

#Hours a {
	color: #c9ae3d;
	font-size: 12px;
}

.line { 
    margin: 25px 0;
    height: 1px;
    background: black;
    background: -webkit-gradient(linear, 0 0, 100% 0, from(rgba(255,255,255,0)), to(rgba(255,255,255,0)), color-stop(50%, #c9ae3d));
}

.linemenu { 
	margin: 15px 0 25px 0px;
    height: 1px;
    background: #c9ae3d;
}

.linedark { 
    margin: 25px 0;
    height: 1px;
    background: -webkit-gradient(linear, 0 0, 100% 0, from(rgba(255,255,255,0)), to(rgba(255,255,255,0)), color-stop(50%, #231F20));
}









@media (max-width: 980px) { /* Mobile Cutoff */
	.et_header_style_centered #logo {
    max-height: 180px;
	}
	.linemenu {
    margin-top: 108px;
	}
	header#main-header:after {
    content: "";
    width: 1920px;
    height: 25px;
    background: url(https://cm.raveka.dev/wp-content/uploads/2023/10/CM-DividerDarkBottom.png) !important;
    top: 100%;
    right: 0;
    position: absolute;
    display: inline-block;
    background-repeat: no-repeat !important;
	}
	#Menu p {
	font-size: 18px;
	line-height: 1.5em;
	}
}



@media (min-width: 981px) {
    .et_vertical_nav #page-container #main-header {
        width: 300px;
    }
}

@media (min-width: 981px) {
    .et_vertical_nav #main-header #top-menu li ul {
        top: 40px;
        left: 0px;
		background: #c9ae3d;
		border-left: none;
		border: 2px solid #231F20; 
    }
	ul#top-menu ul.sub-menu li a {
	    color: #231F20 !important;
		font-size: 20px !important;
		width: 320px !important;
	}
	.et_vertical_nav #main-header #top-menu li ul {
        width: 360px !important; 
    }
}

.et_mobile_menu li a:hover, .nav ul li a {
	border: 1px solid #c9ae3d;
}

.et_mobile_menu li a:hover, .nav ul li a:hover {
    background-color: rgba(0, 0, 0, 0) !important;
    opacity: 1 !important;
	border: 1px solid #231F20;
}

@media screen and (max-width: 980px) {
    #rmp-menu-wrap-14456 .rmp-menu-subarrow {
        color: #c9ae3d;
    }
}

ul.rmp-submenu.rmp-submenu-depth-1.rmp-submenu-open a.rmp-menu-item-link {
    font-size: 20px !important;
}

